# Solve Volterra and Fredholm integral equations

![plot generated by package](assets/volterra-example.svg)

This package estimates Volterra and Fredholm integral equations. It uses the fast matrix inversion method established in [Betto and Thomas (2021)](https://mattwthomas.com/papers/asymmetric-all-pay-contests-with-spillovers/).

## Volterra

This package provides the function `SolveVolterra` which approximates the solution, g(x), to the Volterra Integral Equation of the first kind:

![f(s) = \int_0^s K(s,y) g(y) dy](assets/volterra-equation.svg)

### Parameters

```
k : function
    The kernel function that takes two arguments.
f : function
    The left hand side function that takes one argument.
b : float
    Upper bound of the estimate, defaults to 1.
num : int
    Number of estimation points between zero and `b`.
```

### Returns

```
grid : 2-D array
    Input values are in the first row and output values are in the second row.
```

## Fredholm

Coming soon.
